#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);

    int n,q;
    cin >> n >> q;
    vector<int> niz(n);

    for(int i = 0;i < n;i++) cin >> niz[i];
    sort(begin(niz),end(niz));

    int b;
    for(int i = 0;i < q;i++){
        cin >> b;
        int r = lower_bound(begin(niz),end(niz),b) - begin(niz);
        
        if(2*r-n == -1) cout << "0\n";
        else cout << 2*r-n << "\n";
    }
}